WPGHeader Class Reference

`#include <WPGHeader.h>`

## Public Member Functions
| WPGHeader ()
bool | load (librevenge::RVNGInputStream *input)
bool | isSupported () const
unsigned long | startOfDocument () const
int | majorVersion () const

## Private Attributes
unsigned char | m_identifier [4]
unsigned long | m_startOfDocument
unsigned char | m_productType
unsigned char | m_fileType
unsigned char | m_majorVersion
unsigned char | m_minorVersion
unsigned int | m_encryptionKey
unsigned int | m_startOfPacketData

## Constructor & Destructor Documentation

## ◆ WPGHeader()

WPGHeader::WPGHeader | ( |  | ) |

## Member Function Documentation

## ◆ isSupported()

bool WPGHeader::isSupported | ( |  | ) | const

## ◆ load()

bool WPGHeader::load | ( | librevenge::RVNGInputStream * | input | ) |

## ◆ majorVersion()

int WPGHeader::majorVersion | ( |  | ) | const

## ◆ startOfDocument()

unsigned long WPGHeader::startOfDocument | ( |  | ) | const

## Member Data Documentation

## ◆ m_encryptionKey

unsigned int WPGHeader::m_encryptionKey
| private

Referenced by isSupported(), load(), and WPGHeader().

## ◆ m_fileType

unsigned char WPGHeader::m_fileType
| private

Referenced by isSupported(), load(), and WPGHeader().

## ◆ m_identifier

unsigned char WPGHeader::m_identifier[4]
| private

Referenced by isSupported(), load(), and WPGHeader().

## ◆ m_majorVersion

unsigned char WPGHeader::m_majorVersion
| private

Referenced by isSupported(), load(), majorVersion(), and WPGHeader().

## ◆ m_minorVersion

unsigned char WPGHeader::m_minorVersion
| private

Referenced by isSupported(), load(), and WPGHeader().

## ◆ m_productType

unsigned char WPGHeader::m_productType
| private

Referenced by isSupported(), load(), and WPGHeader().

## ◆ m_startOfDocument

unsigned long WPGHeader::m_startOfDocument
| private

Referenced by load(), startOfDocument(), and WPGHeader().

## ◆ m_startOfPacketData

unsigned int WPGHeader::m_startOfPacketData
| private

Referenced by load(), and WPGHeader().

The documentation for this class was generated from the following files:

- WPGHeader.h
- WPGHeader.cpp